Bug 64784 - Problem w/ Abiword package and non-default fonts
Problem w/ Abiword package and non-default fonts
Product: Red Hat Linux
Classification: Retired
Component: abiword (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2002-05-10 17:27 EDT by Travis Saling
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-08 02:00:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Travis Saling 2002-05-10 17:27:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.1 (X11; Linux i686; U;) Gecko/20020417

Description of problem:
When Abiword first runs, it looks for certain font files (I believe they are
font metrics files), such as times.afm.  If the file does not exist, Abiword
attempts to run a script that will generate these files from the existing
TrueType file. In the current version of your package (abiword-0.99.5-1) this
won't work for two reasons.

First, the script Abiword calls to build times.afm looks for a program in the
path /usr/share/AbiSuite/bin, when the actual installed path is
/usr/lib/AbiSuite/bin. This was easily resolved by adding a softlink in

Second, since only root has write access to Abiword's font directory, execution
will fail unless Abiword is run as root (of course this only needs to be done once).

This is only an issue if a user is replacing the default fonts with something
else that includes its own Times font.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Move the original font directory out of the way
2. Make a new font directory
3. Copy (or soft-link) Windows TrueType fonts into this font directory. The
"Times" font needs to be part of the set.
4. Restart XFS (to build fonts.scale and fonts.dir)
5. Run abiword

Actual Results:  Abiword reports that times.afm is missing, and it can't get the
font metrics info from the X server. Then it shuts itself down.

Expected Results:  Abiword should run. :-)

More specifically, Abiword is supposed to be able to build times.afm itself.

Additional info:
Comment 1 Jeremy Katz 2002-07-18 00:45:42 EDT
This should be fixed once abiword moves to using Xft for their font backend, but
this isn't planned for the 1.0.x releases.  Until then, adding fonts has to be
done manually by the system administrator.

Note You need to log in before you can comment on or make changes to this bug.